class ThreadPoolParameters(object):
    def __init__(self, name, initial_count, max_count, increment, timeout, monitor_timeout):
        self.name = name
        self.initial_count = initial_count
        self.max_count = max_count
        self.increment = increment
        self.timeout = timeout
        self.monitor_timeout = monitor_timeout
